hpp-core: hpp::core::PlanAndOptimize Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::PlanAndOptimize Class Reference
Path planning algorithms

`#include <hpp/core/plan-and-optimize.hh>`

Inheritance diagram for hpp::core::PlanAndOptimize:
[legend]
Collaboration diagram for hpp::core::PlanAndOptimize:
[legend]

## Public Member Functions
virtual void | startSolve ()
| Call internal path planner implementation.
virtual void | oneStep ()
| One iteration of path planning or path optimization.
virtual PathVectorPtr_t | finishSolve (const PathVectorPtr_t &path)
| Optimize planned path.
void | addPathOptimizer (const PathOptimizerPtr_t &optimizer)
Public Member Functions inherited from hpp::core::PathPlanner
virtual | ~PathPlanner ()
virtual const RoadmapPtr_t & | roadmap () const
| Get roadmap.
ProblemConstPtr_t | problem () const
| Get problem.
virtual PathVectorPtr_t | solve ()
virtual void | tryConnectInitAndGoals ()
| Try to connect initial and goal configurations to existing roadmap.
void | interrupt ()
| Interrupt path planning.
void | maxIterations (const unsigned long int &n)
| Set maximal number of iterations.
unsigned long int | maxIterations () const
| Get maximal number of iterations.
void | timeOut (const double &timeOut)
| set time out (in seconds)
double | timeOut () const
| Get time out.
void | stopWhenProblemIsSolved (bool enable)
PathVectorPtr_t | computePath () const
| Find a path in the roadmap and transform it in trajectory.

## Static Public Member Functions
static PlanAndOptimizePtr_t | create (const PathPlannerPtr_t &pathPlanner)
| Return shared pointer to new object.

## Protected Member Functions
| PlanAndOptimize (const PathPlannerPtr_t &pathPlanner)
Protected Member Functions inherited from hpp::core::PathPlanner
| PathPlanner (const ProblemConstPtr_t &problem)
| PathPlanner (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
void | init (const PathPlannerWkPtr_t &weak)
| Store weak pointer to itself.

## Detailed Description

Path planner and optimizer

Plans a path and iteratively applies a series of optimizer on the result.

## Constructor & Destructor Documentation

## ◆ PlanAndOptimize()

hpp::core::PlanAndOptimize::PlanAndOptimize | ( | const PathPlannerPtr_t & | pathPlanner | ) |
| protected

## Member Function Documentation

## ◆ addPathOptimizer()

void hpp::core::PlanAndOptimize::addPathOptimizer | ( | const PathOptimizerPtr_t & | optimizer | ) |

## ◆ create()

static PlanAndOptimizePtr_t hpp::core::PlanAndOptimize::create | ( | const PathPlannerPtr_t & | pathPlanner | ) |
| static

Return shared pointer to new object.

## ◆ finishSolve()

virtual PathVectorPtr_t hpp::core::PlanAndOptimize::finishSolve | ( | const PathVectorPtr_t & | path | ) |
| virtual

Optimize planned path.

Reimplemented from hpp::core::PathPlanner.

## ◆ oneStep()

virtual void hpp::core::PlanAndOptimize::oneStep | ( |  | ) |
| virtual

One iteration of path planning or path optimization.

Implements hpp::core::PathPlanner.

## ◆ startSolve()

virtual void hpp::core::PlanAndOptimize::startSolve | ( |  | ) |
| virtual

Call internal path planner implementation.

Reimplemented from hpp::core::PathPlanner.

The documentation for this class was generated from the following file:

- include/hpp/core/plan-and-optimize.hh